import routes from './routes';
import { FG_Plugin } from 'src/plugins';
import { defineAsyncComponent } from 'vue';

const plugin: FG_Plugin.Plugin = {
  name: 'Balance',
  innerRoutes: routes,
  requiredModules: ['User'],
  requiredBackendModules: ['balance'],
  version: '0.0.2',
  widgets: [
    {
      priority: 0,
      name: 'current',
      permissions: ['balance_show'],
      widget: defineAsyncComponent(() => import('./components/Widget.vue')),
    },
  ],
};

export default plugin;
